Bug 211214 - net/wpa_gui: Several improvements
Summary: net/wpa_gui: Several improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-19 05:46 UTC by Yuri Victorovich
Modified: 2016-09-19 12:28 UTC (History)
2 users (show)

See Also:
pi: merge-quarterly-


Attachments
patch (3.72 KB, patch)
2016-07-19 05:46 UTC, Yuri Victorovich
no flags Details | Diff
patch (3.97 KB, patch)
2016-07-19 06:15 UTC, Yuri Victorovich
koobs: maintainer-approval+
Details | Diff
patch (5.20 KB, patch)
2016-07-19 07:18 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-07-19 05:46:57 UTC
Created attachment 172696 [details]
patch

This patch does the following:
* Adds DEBUG option to simplify troubleshooting
* Adds debug logging of wpa_supplicant control interface
* Installs the manpage
* Adds USE_QT4=corelib
* Makes wpa_gui executable setuid to allow it to easily connect to wpa_supplicant control socket
* Fixes the problem that wpa_gui sometimes picks up .pid file instead of the control interface

wpa_gui needs wpa_supplicant to create the control interface socket, which is done by this patch:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=211213

With the 211213 patch, wpa_gui now seamlessly works with wpa_supplicant from the port security/wpa_supplicant when /etc/rc.conf has:
> wpa_supplicant_enable="YES"
> wpa_supplicant_program="/usr/local/sbin/wpa_supplicant"
Comment 1 Yuri Victorovich freebsd_committer 2016-07-19 05:59:29 UTC
passes poudriere on 10.3
Comment 2 Yuri Victorovich freebsd_committer 2016-07-19 06:15:21 UTC
Created attachment 172697 [details]
patch

Added these items:
* Compresses the scalable icon
* Adds INSTALLS_ICONS=yes
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 06:22:09 UTC
@Yuri, thanks for your contribution. As this is a MFH candidate, if you could confirm QA testing across all supported versions and at least one each of i386/amd64 (and testing DEBUG on/off) that would be great
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 06:22:26 UTC
Comment on attachment 172697 [details]
patch

Port is unmaintained, implicit approval
Comment 5 Yuri Victorovich freebsd_committer 2016-07-19 06:52:21 UTC
It passes poudriere on 9.3 amd64 and 10.3 amd64. It is very unlikely the patch breaks any other builds because the package version didn't change, and this patch only makes cosmetic changes.

Please note that this is a very important port because this is the only WiFi UI manager on FreeBSD. It is currently broken, this patch with 211213 unbreak it.
Comment 6 Yuri Victorovich freebsd_committer 2016-07-19 07:18:14 UTC
Created attachment 172698 [details]
patch

* Added the package message explaining what does wpa_gui expect

(implicit patch approval)
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 09:33:10 UTC
Given the source code changes, the ports importance, and the fact that it requires GUI (heavy dependencies) to test, it would be good to confirm successful build on i386 as well. We cant break quarterlies (any more than they might be already), and the QA bar is higher.

Also, does this issue depend on bug 211213?
Comment 8 Yuri Victorovich freebsd_committer 2016-07-19 09:36:49 UTC
The port build doesn't depend on 211213. It only needs 211213 in the runtime.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 09:40:55 UTC
(In reply to yuri from comment #8)

So to clarify, this issue needs the patch from bug 211213 to land before it can be committed, correct?
Comment 10 Yuri Victorovich freebsd_committer 2016-07-19 09:46:34 UTC
No, the port can be committed by itself. wpa_supplicant option from bug 211213 can be set manually in /etc/rc.conf. But it is much easier to use when 211213 is committed.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 09:48:49 UTC
Thank you Yuri

Pending i386 QA
Comment 12 Yuri Victorovich freebsd_committer 2016-07-20 20:56:23 UTC
Passes poudriere on 10.3 amd64, 10.3 i386, 9.3 amd64.

Please commit it.
Comment 13 Kurt Jaeger freebsd_committer 2016-09-13 19:43:41 UTC
pkg-message.in says:

It expects the running wpa_supplicant from the port
security/wpa_supplicant.

So why dont we add RUN_DEPENDS on security/wpa_supplicant ?
Comment 14 commit-hook freebsd_committer 2016-09-13 20:18:31 UTC
A commit references this bug:

Author: pi
Date: Tue Sep 13 20:18:01 UTC 2016
New revision: 422081
URL: https://svnweb.freebsd.org/changeset/ports/422081

Log:
  net/wpa_gui: Several improvements

  - Adds DEBUG option to simplify troubleshooting
  - Adds debug logging of wpa_supplicant control interface
  - Installs the manpage
  - Adds USE_QT4=corelib
  - Makes wpa_gui executable setuid to allow it to easily connect to
    wpa_supplicant control socket
  - Fixes the problem that wpa_gui sometimes picks up .pid file instead
    of the control interface

  PR:		211214
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Reviewed by:	koobs

Changes:
  head/net/wpa_gui/Makefile
  head/net/wpa_gui/files/patch-wpa_ctrl.c
  head/net/wpa_gui/files/patch-wpagui.cpp
  head/net/wpa_gui/files/pkg-message.in
Comment 15 Kurt Jaeger freebsd_committer 2016-09-13 20:18:56 UTC
Committed. Now, about the MFH: I think it's not necessary. koobs ?
Comment 16 Yuri Victorovich freebsd_committer 2016-09-13 23:45:45 UTC
(In reply to Kurt Jaeger from comment #13)

Kurt, thanks for committing this.

You are right, I will add RUN_DEPENDS in a separate bug report.

Yuri